## edu.msu.cme.rdp.classifier.train
Class RawHierarchyTreeTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              edu.msu.cme.rdp.classifier.train.RawHierarchyTreeTest

All Implemented Interfaces:
  junit.framework.Test

    public class RawHierarchyTreeTest

extends junit.framework.TestCase

A test class for RawHierarchyTree.

Constructor Summary
`RawHierarchyTreeTest(java.lang.String testName)`

Method Summary
`static void` `main(java.lang.String[] args)`
`static junit.framework.Test` `suite()`
`void` `testInitWordOccurrence()` Tests the RawHierarchyTree initWordOccurrence() methods.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RawHierarchyTreeTest

    public RawHierarchyTreeTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testInitWordOccurrence

    public void testInitWordOccurrence()
                                throws java.io.FileNotFoundException,
                                       java.io.IOException

  Tests the RawHierarchyTree initWordOccurrence() methods.

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### suite

    public static junit.framework.Test suite()